/******/ (function() { // webpackBootstrap
/******/ 	"use strict";
/******/ 	// The require scope
/******/ 	var __webpack_require__ = {};
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/compat get default export */
/******/ 	!function() {
/******/ 		// getDefaultExport function for compatibility with non-harmony modules
/******/ 		__webpack_require__.n = function(module) {
/******/ 			var getter = module && module.__esModule ?
/******/ 				function() { return module['default']; } :
/******/ 				function() { return module; };
/******/ 			__webpack_require__.d(getter, { a: getter });
/******/ 			return getter;
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/define property getters */
/******/ 	!function() {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = function(exports, definition) {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	!function() {
/******/ 		__webpack_require__.o = function(obj, prop) { return Object.prototype.hasOwnProperty.call(obj, prop); }
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	!function() {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = function(exports) {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	}();
/******/ 	
/************************************************************************/
var __webpack_exports__ = {};
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "ClientPrintViewModel": function() { return /* reexport */ ClientPrintViewModel; },
  "default": function() { return /* reexport */ ClientPrint; }
});

;// CONCATENATED MODULE: external "core-js/modules/es.array.includes.js"
var es_array_includes_js_namespaceObject = require("core-js/modules/es.array.includes.js");
;// CONCATENATED MODULE: external {"root":"Vue","commonjs":"vue","commonjs2":"vue","amd":"vue"}
var external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject = require("vue");
;// CONCATENATED MODULE: ./node_modules/@babel/runtime/helpers/esm/defineProperty.js
function _defineProperty(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }

  return obj;
}
;// CONCATENATED MODULE: external "@zpc_npm/vue-iclient-common/_utils/mitt"
var mitt_namespaceObject = require("@zpc_npm/vue-iclient-common/_utils/mitt");
var mitt_default = /*#__PURE__*/__webpack_require__.n(mitt_namespaceObject);
;// CONCATENATED MODULE: external "@zpc_npm/vue-iclient-common/_utils/gis-utils"
var gis_utils_namespaceObject = require("@zpc_npm/vue-iclient-common/_utils/gis-utils");
;// CONCATENATED MODULE: ./src/leaflet/clientprint/ClientPrintViewModel.js


/**
 * Author: renjun
 * Date: 2022-12-06
 * Description: 客户端打印
 */



/**
 * @class ClientPrintViewModel
 * @classdesc 客户端打印
 * @param {string} props.mapTarget map对象渲染的div的id
 */

class ClientPrintViewModel extends (mitt_default()) {
  constructor(mapTarget) {
    super();

    _defineProperty(this, "_mapTarget", null);

    _defineProperty(this, "webMap", null);

    this._mapTarget = mapTarget; // 事件绑定this

    this._loadedSync = this._loadedSync.bind(this); // this.setLayerData = this.setLayerData.bind(this);

    this._registerEvents();
  }
  /**
   * 注册事件
   */


  _registerEvents() {
    // mapview初始化结束监听 如果view已经存在了，mounted事件不会添加监听
    gis_utils_namespaceObject.mapViewUtils.bindViewEvents("mounted", this._loadedAsync, this._mapTarget); // 添加图层数据源变化监听

    gis_utils_namespaceObject.mapViewUtils.bindViewEvents("resetLayerDatas", this._loadedAsync, this._mapTarget);
  }

  _loadedAsync(e) {
    // 如果图层变化事件是自己触发的 则不继续执行 避免死循环
    if (e.eventTarget && e.eventTarget === this) {
      return;
    }

    this.webMap = e.target;
  }

  _loadedSync(e) {
    this.webMap = e;
    this.getWebMap();
  }

  openPrint() {
    gis_utils_namespaceObject.utils.getWebMap(this._mapTarget, this._loadedSync);
  }
  /**
   * 获取webmap
   */


  getWebMap() {
    this.fire("getWebMap", {
      webMap: this.webMap
    });
  }

  destroy() {
    this.off();
    gis_utils_namespaceObject.mapViewUtils.offViewEvents("resetLayerDatas", this._loadedSync, this._mapTarget);
  }

}
;// CONCATENATED MODULE: external "html2canvas"
var external_html2canvas_namespaceObject = require("html2canvas");
var external_html2canvas_default = /*#__PURE__*/__webpack_require__.n(external_html2canvas_namespaceObject);
;// CONCATENATED MODULE: external "@element-plus/icons-vue"
var icons_vue_namespaceObject = require("@element-plus/icons-vue");
;// CONCATENATED MODULE: external "@zpc_npm/vue-iclient-common/_utils/const-image"
var const_image_namespaceObject = require("@zpc_npm/vue-iclient-common/_utils/const-image");
;// CONCATENATED MODULE: external "vue3-print-nb"
var external_vue3_print_nb_namespaceObject = require("vue3-print-nb");
var external_vue3_print_nb_default = /*#__PURE__*/__webpack_require__.n(external_vue3_print_nb_namespaceObject);
;// CONCATENATED MODULE: external "@zpc_npm/vue-iclient-common/_types/global-event"
var global_event_namespaceObject = require("@zpc_npm/vue-iclient-common/_types/global-event");
var global_event_default = /*#__PURE__*/__webpack_require__.n(global_event_namespaceObject);
;// CONCATENATED MODULE: ./node_modules/babel-loader/lib/index.js!./node_modules/vue-loader/dist/index.js??ruleSet[0]!./src/leaflet/clientprint/ClientPrint.vue?vue&type=script&setup=true&lang=js


const _hoisted_1 = {
  class: "kq2d-client-print-wrapper",
  ref: "clientRef"
};

const _hoisted_2 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("h4", {
  class: "title"
}, "图层选择", -1
/* HOISTED */
);

const _hoisted_3 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("h4", {
  class: "title"
}, "标题设置", -1
/* HOISTED */
);

const _hoisted_4 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("h4", {
  class: "title"
}, "添加文本", -1
/* HOISTED */
);

const _hoisted_5 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createTextVNode)(" 页面设置 ");

const _hoisted_6 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createTextVNode)("图例");

const _hoisted_7 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createTextVNode)("指北针");

const _hoisted_8 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createTextVNode)("比例尺");

const _hoisted_9 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createTextVNode)("A2");

const _hoisted_10 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createTextVNode)("A3");

const _hoisted_11 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createTextVNode)("A4");

const _hoisted_12 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createTextVNode)("A5");

const _hoisted_13 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createTextVNode)("A6");

const _hoisted_14 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createTextVNode)("纵向");

const _hoisted_15 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createTextVNode)("横向");

const _hoisted_16 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createTextVNode)("png");

const _hoisted_17 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createTextVNode)("jpg");

const _hoisted_18 = {
  style: {
    "text-align": "right"
  }
};

const _hoisted_19 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createTextVNode)("保存为图片");

const _hoisted_20 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createTextVNode)("发送到打印机");

const _hoisted_21 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("h4", {
  class: "title"
}, "图层选择", -1
/* HOISTED */
);

const _hoisted_22 = {
  class: "select-layer-content"
};

const _hoisted_23 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("h4", {
  class: "title"
}, "标题设置", -1
/* HOISTED */
);

const _hoisted_24 = {
  class: "select-content-inner"
};
const _hoisted_25 = {
  style: {
    "float": "right"
  }
};

const _hoisted_26 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createTextVNode)("背景阴影");

const _hoisted_27 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createTextVNode)("  ");

const _hoisted_28 = {
  style: {
    "float": "right"
  }
};

const _hoisted_29 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createTextVNode)("显示标题");

const _hoisted_30 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("h4", {
  class: "title"
}, "添加文本", -1
/* HOISTED */
);

const _hoisted_31 = {
  class: "select-content-inner"
};
const _hoisted_32 = {
  class: "btn"
};

const _hoisted_33 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createTextVNode)("增加");

const _hoisted_34 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createTextVNode)("清空");

const _hoisted_35 = {
  class: "show-right-box-btn"
};
const _hoisted_36 = {
  class: "btn-group"
};
const _hoisted_37 = {
  class: "kq2d-client-print-titleContainerDiv"
};

const _hoisted_38 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", {
  style: {
    "width": "100%",
    "height": "100%",
    "position": "absolute",
    "index": "1000"
  }
}, null, -1
/* HOISTED */
);

const _hoisted_39 = ["src"];
const _hoisted_40 = ["id"];
const _hoisted_41 = ["onClick"];
const _hoisted_42 = {
  class: "kq2d-client-print-infomationContainer"
};
const _hoisted_43 = {
  class: "kq2d-client-print-systemTime"
};
const _hoisted_44 = {
  class: "kq2d-client-print-companyName"
};







const __default__ = {
  name: "Kq2dClientPrint"
};
/* harmony default export */ var ClientPrintvue_type_script_setup_true_lang_js = (/*#__PURE__*/Object.assign(__default__, {
  props: {
    // 每个地图相关组件的必须参数 非必传 指定组件绑定的map对象的div的id
    mapTarget: String,
    printTitle: {
      type: String,
      default: "XXXX一张图"
    },
    companyName: {
      type: String,
      default: "苍穹数码技术股份有限公司"
    },
    // 是否显示阴影
    showShadow: {
      type: Boolean,
      default: true
    }
  },

  setup(__props, {
    expose
  }) {
    const props = __props;
    global_event_default().setWebMap("mapPrint", "leaflet", null);
    const {
      proxy
    } = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.getCurrentInstance)();
    let viewModel = null; // 标题的数据

    let setTitleDataform = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)({
      style: {
        fontSize: "18px",
        fontFamily: "微软雅黑",
        color: "rgba(0, 0, 0)",
        textarea: "",
        backgroundColor: "",
        padding: "5px",
        borderRadius: "3px",
        shadowShowBg: "red",
        fontFamilys: [{
          value: "微软雅黑",
          label: "微软雅黑"
        }, {
          value: "新宋体",
          label: "新宋体"
        }, {
          value: "楷体",
          label: "楷体"
        }]
      },
      data: {
        title: "",
        shadowShow: false,
        titleShow: true
      }
    }); // 文本的数据

    let setLabelDataform = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)({
      style: {
        fontSize: "18px",
        fontFamily: "微软雅黑",
        color: "#000000",
        width: "100%",
        resize: "none",
        height: "96px",
        border: "solid 1px #dcdee2",
        fontFamilys: [{
          value: "微软雅黑",
          label: "微软雅黑"
        }, {
          value: "新宋体",
          label: "新宋体"
        }, {
          value: "楷体",
          label: "楷体"
        }]
      },
      data: {
        labelValue: ""
      }
    }); // 组件容器

    let boxRef = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)(); // 主内容容器

    let mainBoxRef = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)(); // 图层选择容器

    let selectLayerBoxRef = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)(); // 样式设置容器

    let selectTitleBoxRef = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)(); // 添加文本容器

    let selectTextBoxRef = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)();
    const activeNames = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)(["1"]); // 控制主容器与图层选择容器的切换

    let isShowSettingBox = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)(false);
    let isShowLayer = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)(false);
    let isShowTitle = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)(false);
    let isShowText = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)(false); // 边框样式

    let borderStyleValue = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)("printborder1");
    let borderStyleData = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)([{
      value: "printborder1",
      label: "模板一"
    }, {
      value: "printborder2",
      label: "模板二"
    }, {
      value: "printborder3",
      label: "模板三"
    }, {
      value: "printborder4",
      label: "模板四"
    }, {
      value: "printborder5",
      label: "模板五"
    }]);
    let sizeData = [// 纸张设置
    [{
      f: "A2",
      a: "纵向"
    }, "a2VSize"], [{
      f: "A3",
      a: "纵向"
    }, "a3VSize"], [{
      f: "A4",
      a: "纵向"
    }, "a4VSize"], [{
      f: "A5",
      a: "纵向"
    }, "a5VSize"], [{
      f: "A6",
      a: "纵向"
    }, "a6VSize"], [{
      f: "A2",
      a: "横向"
    }, "a2HSize"], [{
      f: "A3",
      a: "横向"
    }, "a3HSize"], [{
      f: "A4",
      a: "横向"
    }, "a4HSize"], [{
      f: "A5",
      a: "横向"
    }, "a5HSize"], [{
      f: "A6",
      a: "横向"
    }, "a6HSize"]]; // 字体大小

    let sizelist = []; // 纸张类型

    let papForm = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)("A4"); // 默认
    // 纸张方向

    let papAnchor = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)("纵向"); // 默认
    // 图片格式

    let imageType = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)("png"); // 地图窗口参数

    let mapProps = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)();
    let mapOptions = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)({
      zoomControl: false
    });
    let map2_ref = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)(null);
    let showmap = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)(false);
    let lengend_ref = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)(null);
    let legendShow = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)(false); // 图例窗口显示与隐藏

    let scalesShow = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)(false); // 比例尺显示与隐藏

    let compassShow = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)(false); // 指北针的显示与隐藏

    let isActive = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)(false);
    let printContentDiv = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)(null);
    let printDiv = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)(null); // 打印内容

    let printMap = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)(null); // 打印内容中的地图容器

    let setLabelData = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.reactive)([]); // 增加的文本的数据

    let systemTime = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)(""); //当前时间

    let companyName = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)("");
    let scale = null; // 打印对象

    let printObj = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)({
      id: "printMap",
      popTitle: "打印"
    });
    let currentClick = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.reactive)({});
    let scaleFloor = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)(1);
    let scaleStep = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)(0.2);
    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.onMounted)(() => {
      viewModel = new ClientPrintViewModel(props.mapTarget);
      setTitleDataform.value.data.title = props.printTitle;
      companyName.value = props.companyName;

      for (let i = 15; i <= 40; i++) {
        // 字体大小下拉
        sizelist.push(i);
      }

      setLabelData.value = []; //当前时间

      systemTime.value = getSystemIime();
    });
    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.onBeforeUnmount)(() => {
      destroy();
      viewModel = null;
    }); //获取当前日期

    function getSystemIime() {
      let numMap = new Map([["0", "零"], ["1", "一"], ["2", "二"], ["3", "三"], ["4", "四"], ["5", "五"], ["6", "六"], ["7", "七"], ["8", "八"], ["9", "九"]]);
      let tennumMap = new Map([["1", "十"], ["2", "二十"], ["3", "三十"]]);
      let nowDate = new Date();
      let year = nowDate.getFullYear() + ""; //年数字

      let month = nowDate.getMonth() + 1 + ""; //月数字

      let day = nowDate.getDate() + ""; //日数字

      let yearCNStr = ""; //年中文

      let nonthCNStr = ""; //月中文

      let dayCNStr = ""; //日中文

      for (let i = 0; i < year.length; i++) {
        yearCNStr += numMap.get(year[i]);
      }

      yearCNStr += "年";

      if (month.length > 1) {
        nonthCNStr = tennumMap.get(month[0]);

        if (month[1] != "0") {
          nonthCNStr += numMap.get(month[1]);
        }

        nonthCNStr += "月";
      } else {
        nonthCNStr = numMap.get(month[0]) + "月";
      }

      if (day.length > 1) {
        dayCNStr = tennumMap.get(day[0]);

        if (day[1] != "0") {
          dayCNStr += numMap.get(day[1]);
        }

        dayCNStr += "日";
      } else {
        dayCNStr = numMap.get(day[0]) + "日";
      }

      return yearCNStr + nonthCNStr + dayCNStr;
    } // 显示切换


    function setShowChange(type) {
      boxRef.value.style.height = `${mainBoxRef.value.clientHeight}px`;

      if (type === "layer") {
        isShowLayer.value = true;
        isShowTitle.value = false;
        isShowText.value = false;
        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.nextTick)(() => {
          boxRef.value.style.height = `${selectLayerBoxRef.value.clientHeight}px`;
        });
      }

      if (type === "title") {
        isShowLayer.value = false;
        isShowTitle.value = true;
        isShowText.value = false;
        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.nextTick)(() => {
          boxRef.value.style.height = `${selectTitleBoxRef.value.clientHeight}px`;
        });
      }

      if (type === "text") {
        isShowLayer.value = false;
        isShowTitle.value = false;
        isShowText.value = true;
        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.nextTick)(() => {
          boxRef.value.style.height = `${selectTextBoxRef.value.clientHeight}px`;
        });
      }
    } // 切换后的左侧高度样式还原


    function setMainStyle() {
      isShowLayer.value = false;
      isShowTitle.value = false;
      isShowText.value = false;
      boxRef.value.style.height = `${mainBoxRef.value.clientHeight}px`;
    }

    function changeMainHeight() {
      boxRef.value.style.height = "auto";
    } //打开地图打印控件,初始化地图


    function openPrint() {
      viewModel.on("getWebMap", _data => {
        mapProps.value = _data.webMap.webMapInfo;
        showmap.value = true;
        setTimeout(() => {
          map2_ref.value.getWebMap().map.invalidateSize(true);
          initControl();
        }, 200);
      });
      viewModel.openPrint();
    } // 初始化控件


    function initControl() {
      var mapdiv = document.getElementById("mapPrint");
      let html = mapdiv.innerHTML;
      var legendDiv = document.getElementById("divlegendDiv");
      var compassDiv = document.getElementById("divcompassDiv");
      legendDiv.className = "kq2d-client-print-legendDiv";
      compassDiv.className = "kq2d-client-print-compassDiv";
      mapdiv.appendChild(compassDiv);
      mapdiv.appendChild(legendDiv);
    } //边框样式切换


    function changeBorderStyleData(value) {
      printContentDiv.value.className = "kq2d-client-print-printContentDiv " + "kq2d-client-print-" + borderStyleValue.value;
    } // 纸张大小切换


    function changeMapContainerSize() {
      sizeData.forEach(item => {
        if (item[0].f === papForm.value && item[0].a === papAnchor.value) {
          let param = item[1];
          printMap.value.className = "kq2d-client-print-mapContainerDiv " + "kq2d-client-print-" + param;

          if (map2_ref.value && map2_ref.value.getWebMap()) {
            /* 地图容器resize后的自适应 */
            map2_ref.value.getWebMap().map.invalidateSize(true);
          }

          setScroll();
        }
      });
    } // 滚动条居中


    function setScroll() {
      printDiv.value.scrollTop = printMap.value.clientHeight / 2 - printDiv.value.clientHeight / 2;
      printDiv.value.scrollLeft = printMap.value.clientWidth / 2 - printDiv.value.clientWidth / 2;
    } // 添加文本


    function addLabel() {
      let item = {
        style: {
          fontSize: setLabelDataform.value.style.fontSize,
          fontFamily: setLabelDataform.value.style.fontFamily,
          color: setLabelDataform.value.style.color,
          padding: "10px 10px 5px 5px"
        },
        data: {
          dataId: setLabelData.value.length + 1,
          labelValue: setLabelDataform.value.data.labelValue,
          isShow: false
        }
      };
      setLabelData.value.push(item);
      setTimeout(() => {
        var mapdiv = document.getElementById("mapPrint");

        for (let i = 0; i < setLabelData.value.length; i++) {
          var labelDiv = document.getElementById(setLabelData.value[i].data.dataId);
          labelDiv.style.display = "block";
          mapdiv.appendChild(labelDiv);
        }
      }, 200);
    } // ID删除文本


    function delLabel(id) {
      for (let i = 0; i < setLabelData.value.length; i++) {
        if (id === setLabelData.value[i].data.dataId) {
          setLabelData.value.splice(i, 1);
          break;
        }
      }
    } // 文本删除


    function clearLabel() {
      setLabelData.value.splice(0, setLabelData.value.length);
      setLabelDataform.value.data.labelValue = "";
    }

    function setdragCursor(event) {
      let el = event.currentTarget;
      el.style.cursor = "move";
    } // 拖动DIV时地图不随着拖动


    function dragTl(event) {
      let mx = 0;
      let my = 0;
      let dx = 0;
      let dy = 0;
      let isDraging = false;
      let el = event.currentTarget;

      if (el.offsetTop < 0) {
        el.style.top = "0px";
      } // el.style.cursor = "move";


      event = event || window.event;
      mx = event.pageX;
      my = event.pageY;
      dx = el.offsetLeft;
      dy = el.offsetTop;
      isDraging = true;
      document.addEventListener("mousemove", moveWin);
      document.addEventListener("mouseup", removeEvent);

      document.onselectstart = function () {
        return false;
      };

      event.stopPropagation(); // }

      function moveWin(event) {
        event = event || window.event;
        map2_ref.value.getWebMap().map.dragging.disable();
        var x = event.pageX;
        var y = event.pageY;

        if (isDraging) {
          var moveX = dx + x - mx;
          var moveY = dy + y - my;
          let pageW = 0;
          let pageH = 0; // if (printMap !== null) {

          pageW = printContentDiv.value.clientWidth - 2;
          pageH = printMap.value.clientHeight - 2; // 2 控制下面的终点
          // }

          var dialogW = el.clientWidth;
          var dialogH = el.clientHeight;
          var maxX = pageW - dialogW;
          var maxY = pageH - dialogH;
          moveX = Math.min(Math.max(0, moveX), maxX); // 58 控制上面的起点

          el.style.right = "auto";
          el.style.bottom = "auto";
          el.style.left = moveX + "px";
          el.style.top = moveY + "px";
        }
      }

      function removeEvent() {
        document.removeEventListener("mousemove", moveWin);
        document.removeEventListener("mouseup", removeEvent);
        el.style.cursor = "";
        map2_ref.value.getWebMap().map.dragging.enable();

        document.onselectstart = function () {
          return true;
        };

        isDraging = false;
      }
    } //保存为图片


    function getPic() {
      // 延时1000ms,等待图片读入到blob文件对象，然后使用URL.createObjectURL转换成src可用的地址
      setTimeout(() => {
        external_html2canvas_default()(printMap.value, {
          taintTest: true,
          // 检测每张图片都已经加载完成
          logging: true,
          // 启用日志记录以进行调试 (发现加上对去白边有帮助)
          allowTaint: true,
          // 否允许跨源图像污染画布
          backgroundColor: null,
          // 解决生成的图片有白边
          useCORS: true,
          // 如果截图的内容里有图片,解决文件跨域问题
          timeout: 5000 // 加载延时

        }).then(canvas => {
          let pageData = canvas.toDataURL("image/png", 1.0);
          let title = "printMap.png";

          if (imageType.value === "jpg") {
            pageData = canvas.toDataURL("image/jpeg", 1.0);
            title = "printMap.jpg";
          }

          const el = document.createElement("a"); // 设置 href 为图片经过 base64 编码后的字符串，默认为 png 格式

          el.href = pageData;
          el.download = title; // 创建一个点击事件并对 a 标签进行触发

          const event = new MouseEvent("click");
          el.dispatchEvent(event);
        });
      }, 1000);
    } //显示图例


    function showLegend(e) {
      legendShow.value = e;

      if (e === true) {
        lengend_ref.value.init();
      }
    } //显示比例尺


    function showScales(e) {
      scalesShow.value = e;

      if (e === true) {
        proxy.$Kq2dScale.init({
          mapTarget: "mapPrint",
          fill: true,
          position: "bottomleft",
          setScaleStyle: function (graphicScale) {
            graphicScale._container.addEventListener("mousedown", dragTl);

            graphicScale._container.addEventListener("mouseover", setdragCursor);
          }
        });
      } else {
        proxy.$Kq2dScale.remove();
      }
    } // 等比例放大


    function Enlarge() {
      mouseScrollEnlarge(1);
    } // 等比例缩小


    function Narrow() {
      mouseScrollNarrow(-1);
    }

    function MovePrint() {
      if (isActive.value) {
        isActive.value = false;
      } else {
        isActive.value = true;
        let divScreen = document.querySelector("#printMap");
        divScreen.addEventListener("mousedown", downFunc);
        divScreen.addEventListener("mouseup", upFunc);
      }
    }

    function downFunc(e) {
      if (isActive.value === false) {
        return false;
      } else {
        document.querySelector("#printMap").style.cursor = "move";
        currentClick.x = e.pageX - document.getElementById("printMap").offsetLeft;
        currentClick.y = e.pageY - document.getElementById("printMap").offsetTop;
        document.addEventListener("mousemove", moveFunc);
      }
    }

    function upFunc() {
      document.querySelector("#printMap").style.cursor = "";
      document.removeEventListener("mousemove", moveFunc);
    }

    function moveFunc() {
      let mosPostion = getMousePos();
      moveScreenTable(mosPostion.x - currentClick.x, mosPostion.y - (currentClick.y + 50));
    }

    function moveScreenTable(x, y) {
      let docScreen = document.querySelector("#printMap");
      let moveX = getPixelValue(docScreen, "left");
      let moveY = getPixelValue(docScreen, "top");
      moveX += x;
      moveY += y;
      document.getElementById("printMap").style.marginLeft = x + "px";
      document.getElementById("printMap").style.marginTop = y + "px";
    }

    function mouseScrollEnlarge(step) {
      if (step > 0) {
        scaleFloor.value = scaleFloor.value + scaleStep.value;
      }

      if (scaleFloor.value > 0) {
        document.getElementById("printMap").style.transform = "scale(" + scaleFloor.value + ")";
      } else {
        document.getElementById("printMap").style.transform = "";
      }
    }

    function mouseScrollNarrow(step) {
      if (step < 0 && scaleFloor.value > scaleStep.value * 2) {
        scaleFloor.value = scaleFloor.value - scaleStep.value;
      } else {
        undefined;
      }

      if (scaleFloor.value > 0) {
        document.getElementById("printMap").style.transform = "scale(" + scaleFloor.value + ")";
      } else {
        document.getElementById("printMap").style.transform = "";
      }
    }

    function getMousePos(event) {
      const e = event || window.event;
      const x = e.clientX - document.querySelector("#printMap").offsetLeft;
      const y = e.clientY - document.querySelector("#printMap").offsetTop;
      return {
        x: e.clientX,
        y: e.clientY
      };
    }

    function getPixelValue(doc, key) {
      return Number(doc.style[key].replace("px", ""));
    } // 初始化


    function destroy() {
      setLabelData.value = [];
      setTitleDataform.value = {
        // 标题的数据
        style: {
          fontSize: "18px",
          fontFamily: "微软雅黑",
          color: "rgba(0, 0, 0)",
          textarea: "",
          backgroundColor: "",
          padding: "5px",
          borderRadius: "3px",
          shadowShowBg: "red",
          fontFamilys: [{
            value: "微软雅黑",
            label: "微软雅黑"
          }, {
            value: "新宋体",
            label: "新宋体"
          }, {
            value: "楷体",
            label: "楷体"
          }]
        },
        data: {
          title: "",
          shadowShow: false,
          titleShow: true
        }
      };
      setLabelDataform.value = {
        // 文本的数据
        style: {
          fontSize: "18px",
          fontFamily: "微软雅黑",
          color: "#000000",
          width: "216px",
          resize: "none",
          height: "96px",
          border: "solid 1px #dcdee2",
          fontFamilys: [{
            value: "微软雅黑",
            label: "微软雅黑"
          }, {
            value: "新宋体",
            label: "新宋体"
          }, {
            value: "楷体",
            label: "楷体"
          }]
        },
        data: {
          labelValue: ""
        }
      };
      viewModel.destroy();
    } // 抛出方法 外部调用


    expose({
      openPrint,
      destroy
    });
    return (_ctx, _cache) => {
      const _component_kq_icon = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-icon");

      const _component_kq_checkbox = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-checkbox");

      const _component_kq_col = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-col");

      const _component_kq_row = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-row");

      const _component_kq_option = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-option");

      const _component_kq_select = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-select");

      const _component_kq_form_item = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-form-item");

      const _component_kq_form = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-form");

      const _component_kq_divider = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-divider");

      const _component_kq_button = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-button");

      const _component_kq_collapse_item = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-collapse-item");

      const _component_kq_collapse = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-collapse");

      const _component_kq_layer_tree = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-layer-tree");

      const _component_kq_input = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-input");

      const _component_kq_color_picker = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-color-picker");

      const _component_kq_legend = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-legend");

      const _component_kq_map_view = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-map-view");

      const _component_kq_scrollbar = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-scrollbar");

      return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementBlock)("div", _hoisted_1, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.Transition, {
        name: "slide-fade"
      }, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(isShowSettingBox) ? ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementBlock)("div", {
          key: 0,
          class: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.normalizeClass)(["settleLayer", __props.showShadow ? 'shadow' : null]),
          ref_key: "boxRef",
          ref: boxRef
        }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", {
          class: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.normalizeClass)(["box", (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(isShowLayer) ? 'is-show-layer' : (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(isShowTitle) ? 'is-show-layer' : (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(isShowText) ? 'is-show-layer' : null])
        }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", {
          class: "main-box",
          ref_key: "mainBoxRef",
          ref: mainBoxRef
        }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createCommentVNode)(" 图层选择-bar "), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", {
          class: "select-layer-bar bar",
          onClick: _cache[0] || (_cache[0] = $event => setShowChange('layer'))
        }, [_hoisted_2, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, null, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(icons_vue_namespaceObject.ArrowRight))]),
          _: 1
          /* STABLE */

        })]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", {
          class: "select-layer-bar bar select-layer-margin",
          onClick: _cache[1] || (_cache[1] = $event => setShowChange('title'))
        }, [_hoisted_3, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, null, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(icons_vue_namespaceObject.ArrowRight))]),
          _: 1
          /* STABLE */

        })]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", {
          class: "select-layer-bar bar select-layer-margin",
          onClick: _cache[2] || (_cache[2] = $event => setShowChange('text'))
        }, [_hoisted_4, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, null, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(icons_vue_namespaceObject.ArrowRight))]),
          _: 1
          /* STABLE */

        })]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_collapse, {
          modelValue: activeNames.value,
          "onUpdate:modelValue": _cache[11] || (_cache[11] = $event => activeNames.value = $event),
          onChange: changeMainHeight
        }, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_collapse_item, {
            name: "1"
          }, {
            title: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [_hoisted_5, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, {
              class: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.normalizeClass)(["header-icon", activeNames.value.includes('1') ? 'is-active' : null])
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(icons_vue_namespaceObject.CaretRight))]),
              _: 1
              /* STABLE */

            }, 8
            /* PROPS */
            , ["class"])]),
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_row, {
              style: {
                "margin-bottom": "8px"
              }
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_col, {
                span: 9
              }, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_checkbox, {
                  class: "btnStyle",
                  modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(legendShow),
                  "onUpdate:modelValue": _cache[3] || (_cache[3] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.isRef)(legendShow) ? legendShow.value = $event : legendShow = $event),
                  onChange: showLegend
                }, {
                  default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [_hoisted_6]),
                  _: 1
                  /* STABLE */

                }, 8
                /* PROPS */
                , ["modelValue"])]),
                _: 1
                /* STABLE */

              }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_col, {
                span: 9
              }, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_checkbox, {
                  class: "btnStyle",
                  modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(compassShow),
                  "onUpdate:modelValue": _cache[4] || (_cache[4] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.isRef)(compassShow) ? compassShow.value = $event : compassShow = $event)
                }, {
                  default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [_hoisted_7]),
                  _: 1
                  /* STABLE */

                }, 8
                /* PROPS */
                , ["modelValue"])]),
                _: 1
                /* STABLE */

              }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_col, {
                span: 6
              }, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_checkbox, {
                  class: "btnStyle",
                  modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(scalesShow),
                  "onUpdate:modelValue": _cache[5] || (_cache[5] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.isRef)(scalesShow) ? scalesShow.value = $event : scalesShow = $event),
                  onChange: showScales
                }, {
                  default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [_hoisted_8]),
                  _: 1
                  /* STABLE */

                }, 8
                /* PROPS */
                , ["modelValue"])]),
                _: 1
                /* STABLE */

              })]),
              _: 1
              /* STABLE */

            }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_form, {
              model: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(setLabelDataform),
              "label-width": "70px",
              "label-position": "left"
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_row, null, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_col, null, {
                  default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_form_item, {
                    label: "花边"
                  }, {
                    default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_select, {
                      modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(borderStyleValue),
                      "onUpdate:modelValue": _cache[6] || (_cache[6] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.isRef)(borderStyleValue) ? borderStyleValue.value = $event : borderStyleValue = $event),
                      onChange: changeBorderStyleData
                    }, {
                      default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(true), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementBlock)(external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.Fragment, null, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.renderList)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(borderStyleData), item => {
                        return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createBlock)(_component_kq_option, {
                          key: item.value,
                          label: item.label,
                          value: item.value
                        }, null, 8
                        /* PROPS */
                        , ["label", "value"]);
                      }), 128
                      /* KEYED_FRAGMENT */
                      ))]),
                      _: 1
                      /* STABLE */

                    }, 8
                    /* PROPS */
                    , ["modelValue"])]),
                    _: 1
                    /* STABLE */

                  })]),
                  _: 1
                  /* STABLE */

                })]),
                _: 1
                /* STABLE */

              }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_row, null, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_col, null, {
                  default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_form_item, {
                    label: "纸张类型"
                  }, {
                    default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_select, {
                      modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(papForm),
                      "onUpdate:modelValue": _cache[7] || (_cache[7] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.isRef)(papForm) ? papForm.value = $event : papForm = $event),
                      onChange: changeMapContainerSize
                    }, {
                      default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_option, {
                        value: "A2"
                      }, {
                        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [_hoisted_9]),
                        _: 1
                        /* STABLE */

                      }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_option, {
                        value: "A3"
                      }, {
                        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [_hoisted_10]),
                        _: 1
                        /* STABLE */

                      }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_option, {
                        value: "A4"
                      }, {
                        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [_hoisted_11]),
                        _: 1
                        /* STABLE */

                      }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_option, {
                        value: "A5"
                      }, {
                        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [_hoisted_12]),
                        _: 1
                        /* STABLE */

                      }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_option, {
                        value: "A6"
                      }, {
                        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [_hoisted_13]),
                        _: 1
                        /* STABLE */

                      })]),
                      _: 1
                      /* STABLE */

                    }, 8
                    /* PROPS */
                    , ["modelValue"])]),
                    _: 1
                    /* STABLE */

                  })]),
                  _: 1
                  /* STABLE */

                })]),
                _: 1
                /* STABLE */

              }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_row, null, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_col, null, {
                  default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_form_item, {
                    label: "纸张方向"
                  }, {
                    default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_select, {
                      modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(papAnchor),
                      "onUpdate:modelValue": _cache[8] || (_cache[8] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.isRef)(papAnchor) ? papAnchor.value = $event : papAnchor = $event),
                      onChange: changeMapContainerSize
                    }, {
                      default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_option, {
                        value: "纵向"
                      }, {
                        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [_hoisted_14]),
                        _: 1
                        /* STABLE */

                      }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_option, {
                        value: "横向"
                      }, {
                        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [_hoisted_15]),
                        _: 1
                        /* STABLE */

                      })]),
                      _: 1
                      /* STABLE */

                    }, 8
                    /* PROPS */
                    , ["modelValue"])]),
                    _: 1
                    /* STABLE */

                  })]),
                  _: 1
                  /* STABLE */

                })]),
                _: 1
                /* STABLE */

              }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_row, null, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_col, null, {
                  default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_form_item, {
                    label: "图片格式"
                  }, {
                    default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_select, {
                      modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(imageType),
                      "onUpdate:modelValue": _cache[9] || (_cache[9] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.isRef)(imageType) ? imageType.value = $event : imageType = $event)
                    }, {
                      default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_option, {
                        value: "png"
                      }, {
                        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [_hoisted_16]),
                        _: 1
                        /* STABLE */

                      }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_option, {
                        value: "jpg"
                      }, {
                        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [_hoisted_17]),
                        _: 1
                        /* STABLE */

                      })]),
                      _: 1
                      /* STABLE */

                    }, 8
                    /* PROPS */
                    , ["modelValue"])]),
                    _: 1
                    /* STABLE */

                  })]),
                  _: 1
                  /* STABLE */

                })]),
                _: 1
                /* STABLE */

              })]),
              _: 1
              /* STABLE */

            }, 8
            /* PROPS */
            , ["model"]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_divider), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", _hoisted_18, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_button, {
              type: "primary",
              onClick: _cache[10] || (_cache[10] = $event => getPic())
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [_hoisted_19]),
              _: 1
              /* STABLE */

            }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withDirectives)(((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createBlock)(_component_kq_button, {
              type: "plain"
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [_hoisted_20]),
              _: 1
              /* STABLE */

            })), [[(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)((external_vue3_print_nb_default())), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(printObj)]])])]),
            _: 1
            /* STABLE */

          })]),
          _: 1
          /* STABLE */

        }, 8
        /* PROPS */
        , ["modelValue"])], 512
        /* NEED_PATCH */
        ), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createCommentVNode)(" 图层选择-box "), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withDirectives)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", {
          class: "select-layer-box",
          ref_key: "selectLayerBoxRef",
          ref: selectLayerBoxRef
        }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createCommentVNode)(" 图层选择-bar "), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", {
          class: "select-layer-bar bar",
          onClick: setMainStyle
        }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, null, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(icons_vue_namespaceObject.ArrowLeft))]),
          _: 1
          /* STABLE */

        }), _hoisted_21]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", _hoisted_22, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_layer_tree, {
          showShadow: false,
          "map-target": "mapPrint"
        })])], 512
        /* NEED_PATCH */
        ), [[external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.vShow, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(isShowLayer)]]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createCommentVNode)(" 标题设置-box "), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withDirectives)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", {
          class: "select-layer-box",
          ref_key: "selectTitleBoxRef",
          ref: selectTitleBoxRef
        }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createCommentVNode)(" 标题设置-bar "), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", {
          class: "select-layer-bar bar",
          onClick: setMainStyle
        }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, null, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(icons_vue_namespaceObject.ArrowLeft))]),
          _: 1
          /* STABLE */

        }), _hoisted_23]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", _hoisted_24, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_form, {
          model: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(setTitleDataform),
          "label-width": "70px",
          "label-position": "left"
        }, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_row, null, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_col, {
              span: 24
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_form_item, {
                label: "标题"
              }, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_input, {
                  modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(setTitleDataform).data.title,
                  "onUpdate:modelValue": _cache[12] || (_cache[12] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(setTitleDataform).data.title = $event)
                }, null, 8
                /* PROPS */
                , ["modelValue"])]),
                _: 1
                /* STABLE */

              })]),
              _: 1
              /* STABLE */

            })]),
            _: 1
            /* STABLE */

          }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_row, null, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_col, {
              span: 24
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_form_item, {
                label: "字体样式"
              }, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_select, {
                  modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(setTitleDataform).style.fontFamily,
                  "onUpdate:modelValue": _cache[13] || (_cache[13] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(setTitleDataform).style.fontFamily = $event),
                  placeholder: "请选择",
                  style: {
                    "width": "100%"
                  }
                }, {
                  default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(true), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementBlock)(external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.Fragment, null, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.renderList)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(setTitleDataform).style.fontFamilys, item => {
                    return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createBlock)(_component_kq_option, {
                      key: item.value,
                      label: item.label,
                      value: item.value
                    }, null, 8
                    /* PROPS */
                    , ["label", "value"]);
                  }), 128
                  /* KEYED_FRAGMENT */
                  ))]),
                  _: 1
                  /* STABLE */

                }, 8
                /* PROPS */
                , ["modelValue"])]),
                _: 1
                /* STABLE */

              })]),
              _: 1
              /* STABLE */

            })]),
            _: 1
            /* STABLE */

          }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_row, null, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_col, {
              span: 18
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_form_item, {
                label: "字体大小"
              }, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_select, {
                  modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(setTitleDataform).style.fontSize,
                  "onUpdate:modelValue": _cache[14] || (_cache[14] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(setTitleDataform).style.fontSize = $event),
                  placeholder: "字体大小"
                }, {
                  default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(true), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementBlock)(external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.Fragment, null, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.renderList)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(sizelist), size => {
                    return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createBlock)(_component_kq_option, {
                      key: size,
                      value: `${size}px`
                    }, {
                      default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createTextVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.toDisplayString)(size), 1
                      /* TEXT */
                      )]),
                      _: 2
                      /* DYNAMIC */

                    }, 1032
                    /* PROPS, DYNAMIC_SLOTS */
                    , ["value"]);
                  }), 128
                  /* KEYED_FRAGMENT */
                  ))]),
                  _: 1
                  /* STABLE */

                }, 8
                /* PROPS */
                , ["modelValue"])]),
                _: 1
                /* STABLE */

              })]),
              _: 1
              /* STABLE */

            }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_col, {
              span: 6
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_form_item, {
                label: "字体颜色"
              }, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_color_picker, {
                  modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(setTitleDataform).style.color,
                  "onUpdate:modelValue": _cache[15] || (_cache[15] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(setTitleDataform).style.color = $event),
                  "show-alpha": ""
                }, null, 8
                /* PROPS */
                , ["modelValue"])]),
                _: 1
                /* STABLE */

              })]),
              _: 1
              /* STABLE */

            })]),
            _: 1
            /* STABLE */

          }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_row, null, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_col, {
              span: 8
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_form_item, {
                label: "背景颜色"
              }, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_color_picker, {
                  modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(setTitleDataform).style.backgroundColor,
                  "onUpdate:modelValue": _cache[16] || (_cache[16] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(setTitleDataform).style.backgroundColor = $event),
                  "show-alpha": ""
                }, null, 8
                /* PROPS */
                , ["modelValue"])]),
                _: 1
                /* STABLE */

              })]),
              _: 1
              /* STABLE */

            }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_col, {
              span: 8
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_form_item, {
                label: "阴影颜色"
              }, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_color_picker, {
                  modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(setTitleDataform).style.shadowShowBg,
                  "onUpdate:modelValue": _cache[17] || (_cache[17] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(setTitleDataform).style.shadowShowBg = $event),
                  "show-alpha": ""
                }, null, 8
                /* PROPS */
                , ["modelValue"])]),
                _: 1
                /* STABLE */

              })]),
              _: 1
              /* STABLE */

            }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_col, {
              span: 8
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", _hoisted_25, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_checkbox, {
                modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(setTitleDataform).data.shadowShow,
                "onUpdate:modelValue": _cache[18] || (_cache[18] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(setTitleDataform).data.shadowShow = $event)
              }, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [_hoisted_26]),
                _: 1
                /* STABLE */

              }, 8
              /* PROPS */
              , ["modelValue"])])]),
              _: 1
              /* STABLE */

            }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_col, {
              span: 2
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [_hoisted_27]),
              _: 1
              /* STABLE */

            })]),
            _: 1
            /* STABLE */

          }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_divider), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_row, null, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_col, {
              span: 24
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", _hoisted_28, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_checkbox, {
                modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(setTitleDataform).data.titleShow,
                "onUpdate:modelValue": _cache[19] || (_cache[19] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(setTitleDataform).data.titleShow = $event)
              }, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [_hoisted_29]),
                _: 1
                /* STABLE */

              }, 8
              /* PROPS */
              , ["modelValue"])])]),
              _: 1
              /* STABLE */

            })]),
            _: 1
            /* STABLE */

          })]),
          _: 1
          /* STABLE */

        }, 8
        /* PROPS */
        , ["model"])])], 512
        /* NEED_PATCH */
        ), [[external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.vShow, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(isShowTitle)]]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createCommentVNode)(" 添加文本-box "), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withDirectives)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", {
          class: "select-layer-box",
          ref_key: "selectTextBoxRef",
          ref: selectTextBoxRef
        }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createCommentVNode)(" 添加文本-bar "), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", {
          class: "select-layer-bar bar",
          onClick: setMainStyle
        }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, null, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(icons_vue_namespaceObject.ArrowLeft))]),
          _: 1
          /* STABLE */

        }), _hoisted_30]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", _hoisted_31, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_form, {
          model: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(setLabelDataform),
          "label-width": "70px",
          "label-position": "left"
        }, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_form_item, {
            label: "字体样式"
          }, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_select, {
              modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(setLabelDataform).style.fontFamily,
              "onUpdate:modelValue": _cache[20] || (_cache[20] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(setLabelDataform).style.fontFamily = $event),
              placeholder: "请选择",
              style: {
                "width": "100%"
              }
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(true), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementBlock)(external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.Fragment, null, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.renderList)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(setLabelDataform).style.fontFamilys, item => {
                return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createBlock)(_component_kq_option, {
                  key: item.value,
                  label: item.label,
                  value: item.value
                }, null, 8
                /* PROPS */
                , ["label", "value"]);
              }), 128
              /* KEYED_FRAGMENT */
              ))]),
              _: 1
              /* STABLE */

            }, 8
            /* PROPS */
            , ["modelValue"])]),
            _: 1
            /* STABLE */

          }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_row, null, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_col, {
              span: 18
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_form_item, {
                label: "字体大小"
              }, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_select, {
                  modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(setLabelDataform).style.fontSize,
                  "onUpdate:modelValue": _cache[21] || (_cache[21] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(setLabelDataform).style.fontSize = $event),
                  placeholder: "大小"
                }, {
                  default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(true), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementBlock)(external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.Fragment, null, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.renderList)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(sizelist), size => {
                    return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createBlock)(_component_kq_option, {
                      key: size,
                      value: `${size}px`
                    }, {
                      default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createTextVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.toDisplayString)(size), 1
                      /* TEXT */
                      )]),
                      _: 2
                      /* DYNAMIC */

                    }, 1032
                    /* PROPS, DYNAMIC_SLOTS */
                    , ["value"]);
                  }), 128
                  /* KEYED_FRAGMENT */
                  ))]),
                  _: 1
                  /* STABLE */

                }, 8
                /* PROPS */
                , ["modelValue"])]),
                _: 1
                /* STABLE */

              })]),
              _: 1
              /* STABLE */

            }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_col, {
              span: 6
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_form_item, {
                label: "字体颜色"
              }, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", null, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_color_picker, {
                  modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(setLabelDataform).style.color,
                  "onUpdate:modelValue": _cache[22] || (_cache[22] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(setLabelDataform).style.color = $event),
                  "show-alpha": ""
                }, null, 8
                /* PROPS */
                , ["modelValue"])])]),
                _: 1
                /* STABLE */

              })]),
              _: 1
              /* STABLE */

            })]),
            _: 1
            /* STABLE */

          }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_form_item, {
            class: "textarea",
            label: "文本"
          }, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withDirectives)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("textarea", {
              class: "textcontent",
              rows: "12",
              placeholder: "请输入内容",
              spellcheck: "false",
              "onUpdate:modelValue": _cache[23] || (_cache[23] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(setLabelDataform).data.labelValue = $event),
              style: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.normalizeStyle)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(setLabelDataform).style)
            }, null, 4
            /* STYLE */
            ), [[external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.vModelText, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(setLabelDataform).data.labelValue]])]),
            _: 1
            /* STABLE */

          })]),
          _: 1
          /* STABLE */

        }, 8
        /* PROPS */
        , ["model"]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_divider), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", _hoisted_32, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_button, {
          type: "primary",
          onClick: addLabel
        }, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [_hoisted_33]),
          _: 1
          /* STABLE */

        }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_button, {
          type: "plain",
          onClick: clearLabel
        }, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [_hoisted_34]),
          _: 1
          /* STABLE */

        })])])], 512
        /* NEED_PATCH */
        ), [[external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.vShow, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(isShowText)]])], 2
        /* CLASS */
        )], 2
        /* CLASS */
        )) : (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createCommentVNode)("v-if", true)]),
        _: 1
        /* STABLE */

      }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", {
        class: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.normalizeClass)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(isShowSettingBox) ? 'show-setting-box-btn' : 'hide-setting-box-btn')
      }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(isShowSettingBox) ? ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createBlock)(_component_kq_button, {
        key: 0,
        onClick: _cache[24] || (_cache[24] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.isRef)(isShowSettingBox) ? isShowSettingBox.value = false : isShowSettingBox = false),
        plain: ""
      }, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, null, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(icons_vue_namespaceObject.DArrowLeft))]),
          _: 1
          /* STABLE */

        })]),
        _: 1
        /* STABLE */

      })) : (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createCommentVNode)("v-if", true), !(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(isShowSettingBox) ? ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createBlock)(_component_kq_button, {
        key: 1,
        onClick: _cache[25] || (_cache[25] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.isRef)(isShowSettingBox) ? isShowSettingBox.value = true : isShowSettingBox = true),
        plain: ""
      }, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, null, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(icons_vue_namespaceObject.DArrowRight))]),
          _: 1
          /* STABLE */

        })]),
        _: 1
        /* STABLE */

      })) : (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createCommentVNode)("v-if", true)], 2
      /* CLASS */
      ), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", _hoisted_35, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", _hoisted_36, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_button, {
        plain: "",
        onClick: Enlarge,
        title: "等比例放大"
      }, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, null, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(icons_vue_namespaceObject.ZoomIn))]),
          _: 1
          /* STABLE */

        })]),
        _: 1
        /* STABLE */

      }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_button, {
        plain: "",
        onClick: Narrow,
        title: "等比例缩小"
      }, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, null, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(icons_vue_namespaceObject.ZoomOut))]),
          _: 1
          /* STABLE */

        })]),
        _: 1
        /* STABLE */

      }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_button, {
        plain: "",
        onClick: MovePrint,
        title: "拖拽",
        style: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.normalizeStyle)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(isActive) ? 'color:blue' : '')
      }, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, null, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(icons_vue_namespaceObject.Rank))]),
          _: 1
          /* STABLE */

        })]),
        _: 1
        /* STABLE */

      }, 8
      /* PROPS */
      , ["style"]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_button, {
        plain: ""
      }, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, null, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(icons_vue_namespaceObject.Delete))]),
          _: 1
          /* STABLE */

        })]),
        _: 1
        /* STABLE */

      })])]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", {
        ref_key: "printDiv",
        ref: printDiv,
        class: "kq2d-client-print-printDiv"
      }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_scrollbar, null, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", {
          ref_key: "printMap",
          ref: printMap,
          class: "kq2d-client-print-mapContainerDiv kq2d-client-print-a4VSize",
          onselectstart: "return false",
          id: "printMap"
        }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", _hoisted_37, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withDirectives)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", {
          style: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.normalizeStyle)({
            boxShadow: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(setTitleDataform).data.shadowShow ? (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(setTitleDataform).style.shadowShowBg + ' 5px 2px 6px' : ''
          }),
          class: "kq2d-client-print-titleDivStyle"
        }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", {
          style: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.normalizeStyle)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(setTitleDataform).style)
        }, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.toDisplayString)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(setTitleDataform).data.title), 5
        /* TEXT, STYLE */
        )], 4
        /* STYLE */
        ), [[external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.vShow, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(setTitleDataform).data.titleShow]])]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", {
          class: "kq2d-client-print-printContentDiv kq2d-client-print-printborder1",
          ref_key: "printContentDiv",
          ref: printContentDiv
        }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(showmap) ? ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createBlock)(_component_kq_map_view, {
          key: 0,
          ref_key: "map2_ref",
          ref: map2_ref,
          webMapInfo: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(mapProps),
          target: "mapPrint",
          mapOptions: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(mapOptions)
        }, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createCommentVNode)("图例"), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withDirectives)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", {
            class: "kq2d-client-print-legendDiv",
            onMouseover: setdragCursor,
            onMousedown: dragTl,
            id: "divlegendDiv"
          }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_legend, {
            mapTarget: "mapPrint",
            ref_key: "lengend_ref",
            ref: lengend_ref
          }, null, 512
          /* NEED_PATCH */
          )], 544
          /* HYDRATE_EVENTS, NEED_PATCH */
          ), [[external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.vShow, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(legendShow)]]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createCommentVNode)("指北针"), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withDirectives)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", {
            class: "kq2d-client-print-compassDiv",
            onMouseover: setdragCursor,
            onMousedown: dragTl,
            id: "divcompassDiv"
          }, [_hoisted_38, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("img", {
            class: "kq2d-client-print-compassImgStyle",
            src: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(const_image_namespaceObject.COMMPASS_URL)
          }, null, 8
          /* PROPS */
          , _hoisted_39)], 544
          /* HYDRATE_EVENTS, NEED_PATCH */
          ), [[external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.vShow, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(compassShow)]]), ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(true), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementBlock)(external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.Fragment, null, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.renderList)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(setLabelData).value, item => {
            return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withDirectives)(((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementBlock)("div", {
              id: item.data.dataId,
              key: item.data.dataId,
              class: "kq2d-client-print-labelDivStyle",
              onMouseover: setdragCursor,
              onMousedown: dragTl
            }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", {
              style: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.normalizeStyle)(item.style)
            }, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.toDisplayString)(item.data.labelValue), 5
            /* TEXT, STYLE */
            ), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", {
              class: "closeIconDiv",
              onClick: $event => delLabel(item.data.dataId),
              style: {
                "position": "absolute",
                "top": "0px",
                "right": "0px",
                "display": "none"
              }
            }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, {
              size: 24,
              style: {
                "cursor": "Pointer",
                "color": "#da0000"
              },
              title: "关闭"
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(icons_vue_namespaceObject.Close))]),
              _: 1
              /* STABLE */

            })], 8
            /* PROPS */
            , _hoisted_41)], 40
            /* PROPS, HYDRATE_EVENTS */
            , _hoisted_40)), [[external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.vShow, item.data.isShow]]);
          }), 128
          /* KEYED_FRAGMENT */
          ))]),
          _: 1
          /* STABLE */

        }, 8
        /* PROPS */
        , ["webMapInfo", "mapOptions"])) : (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createCommentVNode)("v-if", true)], 512
        /* NEED_PATCH */
        ), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", _hoisted_42, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", _hoisted_43, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("span", null, "日期：" + (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.toDisplayString)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(systemTime)), 1
        /* TEXT */
        )]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", _hoisted_44, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("span", null, "公司：" + (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.toDisplayString)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(companyName)), 1
        /* TEXT */
        )])])], 512
        /* NEED_PATCH */
        )]),
        _: 1
        /* STABLE */

      })], 512
      /* NEED_PATCH */
      )], 512
      /* NEED_PATCH */
      );
    };
  }

}));
;// CONCATENATED MODULE: ./src/leaflet/clientprint/ClientPrint.vue?vue&type=script&setup=true&lang=js
 
;// CONCATENATED MODULE: ./src/leaflet/clientprint/ClientPrint.vue



const __exports__ = ClientPrintvue_type_script_setup_true_lang_js;

/* harmony default export */ var ClientPrint = (__exports__);
;// CONCATENATED MODULE: external "@zpc_npm/vue-iclient-common/init.js"
var init_js_namespaceObject = require("@zpc_npm/vue-iclient-common/init.js");
var init_js_default = /*#__PURE__*/__webpack_require__.n(init_js_namespaceObject);
;// CONCATENATED MODULE: ./src/leaflet/clientprint/index.js




ClientPrint.install = (Vue, opts) => {
  init_js_default()(Vue, opts);
  Vue.component(ClientPrint.name, ClientPrint);
};


module.exports = __webpack_exports__;
/******/ })()
;