/******/ (function() { // webpackBootstrap
/******/ 	"use strict";
/******/ 	// The require scope
/******/ 	var __webpack_require__ = {};
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/compat get default export */
/******/ 	!function() {
/******/ 		// getDefaultExport function for compatibility with non-harmony modules
/******/ 		__webpack_require__.n = function(module) {
/******/ 			var getter = module && module.__esModule ?
/******/ 				function() { return module['default']; } :
/******/ 				function() { return module; };
/******/ 			__webpack_require__.d(getter, { a: getter });
/******/ 			return getter;
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/define property getters */
/******/ 	!function() {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = function(exports, definition) {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	!function() {
/******/ 		__webpack_require__.o = function(obj, prop) { return Object.prototype.hasOwnProperty.call(obj, prop); }
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	!function() {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = function(exports) {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	}();
/******/ 	
/************************************************************************/
var __webpack_exports__ = {};
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "Scale": function() { return /* binding */ Scale; },
  "ScaleViewModel": function() { return /* reexport */ ScaleViewModel; },
  "default": function() { return /* binding */ Scale; }
});

;// CONCATENATED MODULE: external {"root":"Vue","commonjs":"vue","commonjs2":"vue","amd":"vue"}
var external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject = require("vue");
;// CONCATENATED MODULE: ./node_modules/@babel/runtime/helpers/esm/defineProperty.js
function _defineProperty(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }

  return obj;
}
;// CONCATENATED MODULE: external "@zpc_npm/vue-iclient-common/_utils/mitt"
var mitt_namespaceObject = require("@zpc_npm/vue-iclient-common/_utils/mitt");
var mitt_default = /*#__PURE__*/__webpack_require__.n(mitt_namespaceObject);
;// CONCATENATED MODULE: external "@zpc_npm/vue-iclient-common/_utils/gis-utils"
var gis_utils_namespaceObject = require("@zpc_npm/vue-iclient-common/_utils/gis-utils");
;// CONCATENATED MODULE: ./src/leaflet/scale/ScaleViewModel.js



class ScaleViewModel extends (mitt_default()) {
  constructor(mapTarget) {
    super();

    _defineProperty(this, "_props", null);

    _defineProperty(this, "_webMap", null);

    this._props = {
      mapTarget
    }; // 事件绑定this

    this._loadedAsync = this._loadedAsync.bind(this);
    this._loadedSync = this._loadedSync.bind(this);

    this._registerEvents();
  }
  /**
   * 注册事件
   */


  _registerEvents() {
    // 监听地图初始化完成事件
    gis_utils_namespaceObject.mapViewUtils.bindViewEvents("mounted", this._loadedAsync, this._props.mapTarget); // 同步

    gis_utils_namespaceObject.utils.getWebMap(this._props.mapTarget, this._loadedSync);
  }

  _loadedAsync(e) {
    // 如果图层变化事件是自己触发的 则不继续执行 避免死循环
    if (e.eventTarget && e.eventTarget === this) {
      return;
    }

    let webMap = this._webMap = e.target;
    this.fire("getWebMap", {
      webMap
    });
  }
  /**
   * @description 同步加载
   * @private
   */


  _loadedSync(e) {
    this._webMap = e;
  }

  destroy() {
    this.off();
  }

}
;// CONCATENATED MODULE: ./src/leaflet/scale/scale.js


const allActivedScales = []; // 生成的比例尺集合

/* harmony default export */ var scale = ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.defineComponent)({
  name: "Kq2dScale",
  props: {
    mapTarget: String,
    id: {
      type: String,
      default: null
    },
    // 填充，false|'fill'|'hollow'|'line',默认 false
    fill: {
      type: [Boolean, String],
      default: false
    },
    // 双线模式，默认false关闭
    doubleLine: {
      type: Boolean,
      default: false
    },
    // 显示子单元,在零的左侧显示较小的分区,默认false关闭
    showSubunits: {
      type: Boolean,
      default: false
    },
    // 比例单位的最小宽度
    minUnitWidth: {
      type: Number,
      default: 30
    },
    // 不包含子单位的比例尺的最大宽度
    maxUnitsWidth: {
      type: Number,
      default: 240
    },
    // 'auto'|'top'|'bottom'，在比例尺的顶部/底部显示距离标签。如果设置为自动，当比例控制在地图底部时，标签将被放置在顶部，当比例控制在地图顶部时，标签将被放置在底部（position参数）
    labelPlacement: {
      type: String,
      default: "auto"
    },
    // 控件的位置（地图角之一）。可能的值为'topleft', 'topright','bottomleft'或'bottomright'
    position: {
      type: String,
      default: "topright"
    },
    // 如果true，控件在 moveend后更新，否则它move是更新
    updateWhenIdle: {
      type: Boolean,
      default: false
    },
    // 设置scale样式的回调函数
    setScaleStyle: Function
  },

  setup(props, context) {
    let viewModel = null;
    const {
      mapTarget,
      fill,
      doubleLine,
      showSubunits,
      minUnitWidth,
      maxUnitsWidth,
      labelPlacement,
      position,
      updateWhenIdle
    } = props;
    const $scale = {
      props
    }; // 创建scale

    const createScale = webMap => {
      return webMap.mapControl.createScale({
        fill,
        doubleLine,
        showSubunits,
        minUnitWidth,
        maxUnitsWidth,
        labelPlacement,
        position,
        updateWhenIdle
      });
    }; // 当前生成的比例尺实例


    let currentScale = null;

    const setScale = () => {
      return new Promise(resolve => {
        if (viewModel._webMap && viewModel._webMap.mapControl.createScale) {
          // 同步生成
          let scale = createScale(viewModel._webMap);
          resolve(scale);
        } else {
          // 异步生成         
          viewModel.on("getWebMap", _data => {
            let scale = createScale(_data.webMap);
            resolve(scale);
          });
        }
      });
    };
    /**
     * @description 初始化比例尺
     */


    const init = () => {
      const {
        setScaleStyle,
        id
      } = props;
      setScale().then(result => {
        Object.assign($scale, {
          scale: result
        });
        allActivedScales.push($scale);
        currentScale = result;
        setScaleStyle && setScaleStyle(result);
      });
    };
    /**
     * @description 清除比例尺
     * @param {Object} [scale] - 初始化生成的比例尺实例
     */


    const remove = scale => {
      if (!scale) {
        scale = currentScale;
      }

      viewModel._webMap.map.removeControl(scale);

      viewModel.destroy();
    };

    Object.assign($scale, {
      remove
    });
    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.onMounted)(() => {
      viewModel = new ScaleViewModel(mapTarget);
      init();
    });
    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.onUnmounted)(() => {
      remove();
      viewModel = null;
    });
    return {
      remove,
      init
    };
  },

  render() {
    return null;
  }

}));
;// CONCATENATED MODULE: ./src/leaflet/scale/dynamics.js

let dynamicContainerElem;
const dynamicStore = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.reactive)({
  modals: []
}); // 动态组件

const BaseDynamics = {
  setup() {
    return () => {
      const {
        modals
      } = dynamicStore;
      return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.h)("div", {
        class: "kq-base-dynamics--scale"
      }, {
        default: () => modals.map(item => {
          return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.h)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-2d-scale"), item);
        })
      });
    };
  }

};
const dynamicApp = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createApp)(BaseDynamics);
function checkDynamic() {
  if (!dynamicContainerElem) {
    dynamicContainerElem = document.createElement("div");
    dynamicContainerElem.className = "kq-base-dynamics";
    document.body.appendChild(dynamicContainerElem);
    dynamicApp.mount(dynamicContainerElem);
  }
}
;// CONCATENATED MODULE: external "xe-utils"
var external_xe_utils_namespaceObject = require("xe-utils");
var external_xe_utils_default = /*#__PURE__*/__webpack_require__.n(external_xe_utils_namespaceObject);
;// CONCATENATED MODULE: ./src/leaflet/scale/index.js





const getScale = id => {
  return external_xe_utils_default().find(allActivedScales, $modal => $modal.props.id === id);
};

const ScaleController = {
  /**
   * @description 初始化动态比例尺组件
   * @param {Object} options - 参数详情参考 scale.js文件中的props
   */
  init: options => {
    dynamicStore.modals.push(options);
    checkDynamic();
  },

  /**
   * 全局关闭动态的比例尺（只能用于关闭动态的创建的比例尺）
   * 如果传 id 则关闭指定的比例尺
   * 如果不传则关闭所有比例尺
   */
  remove: id => {
    const modals = id ? [getScale(id)] : allActivedScales;
    modals.forEach($modal => {
      if ($modal) {
        $modal.remove($modal.scale);
      }
    });
  }
};
const Scale = Object.assign(scale, {
  install: function (Vue) {
    dynamicApp.component(Scale.name, Scale);
    Vue.component(scale.name, scale);
    Vue.config.globalProperties.$Kq2dScale = ScaleController;
  }
});

module.exports = __webpack_exports__;
/******/ })()
;